import dynamix_sdk.base as _base


class CloudapiVinsVnfdevRestartResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsVnfdevRestartProtocol(_base.BasePostAPIFunctionProtocol):
    def vnfdev_restart(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsVnfdevRestartResultBool:
        ...
